Package com.omnisci.thrift.server

## Class TQueryResult

- java.lang.Object
- - com.omnisci.thrift.server.TQueryResult

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TQueryResult>`, `org.apache.thrift.TBase<TQueryResult,​TQueryResult._Fields>`, `org.apache.thrift.TSerializable`

    public class TQueryResult
    extends Object
    implements org.apache.thrift.TBase<TQueryResult,​TQueryResult._Fields>, Serializable, Cloneable, Comparable<TQueryResult>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TQueryResult._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`String` `debug`
`long` `execution_time_ms`
`static Map<TQueryResult._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`String` `nonce`
`TQueryType` `query_type`
`TRowSet` `row_set`
`boolean` `success`
`long` `total_time_ms`

### Constructor Summary

Constructors
`TQueryResult()`
`TQueryResult​(TQueryResult other)` Performs a deep copy on other.
`TQueryResult​(TRowSet row_set, long execution_time_ms, long total_time_ms, String nonce, String debug, boolean success, TQueryType query_type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TQueryResult other)`
`TQueryResult` `deepCopy()`
`boolean` `equals​(TQueryResult that)`
`boolean` `equals​(Object that)`
`TQueryResult._Fields` `fieldForId​(int fieldId)`
`String` `getDebug()`
`long` `getExecution_time_ms()`
`Object` `getFieldValue​(TQueryResult._Fields field)`
`String` `getNonce()`
`TQueryType` `getQuery_type()`
`TRowSet` `getRow_set()`
`long` `getTotal_time_ms()`
`int` `hashCode()`
`boolean` `isSet​(TQueryResult._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetDebug()` Returns true if field debug is set (has been assigned a value) and false otherwise
`boolean` `isSetExecution_time_ms()` Returns true if field execution_time_ms is set (has been assigned a value) and false otherwise
`boolean` `isSetNonce()` Returns true if field nonce is set (has been assigned a value) and false otherwise
`boolean` `isSetQuery_type()` Returns true if field query_type is set (has been assigned a value) and false otherwise
`boolean` `isSetRow_set()` Returns true if field row_set is set (has been assigned a value) and false otherwise
`boolean` `isSetSuccess()` Returns true if field success is set (has been assigned a value) and false otherwise
`boolean` `isSetTotal_time_ms()` Returns true if field total_time_ms is set (has been assigned a value) and false otherwise
`boolean` `isSuccess()`
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TQueryResult` `setDebug​(String debug)`
`void` `setDebugIsSet​(boolean value)`
`TQueryResult` `setExecution_time_ms​(long execution_time_ms)`
`void` `setExecution_time_msIsSet​(boolean value)`
`void` `setFieldValue​(TQueryResult._Fields field, Object value)`
`TQueryResult` `setNonce​(String nonce)`
`void` `setNonceIsSet​(boolean value)`
`TQueryResult` `setQuery_type​(TQueryType query_type)`
`void` `setQuery_typeIsSet​(boolean value)`
`TQueryResult` `setRow_set​(TRowSet row_set)`
`void` `setRow_setIsSet​(boolean value)`
`TQueryResult` `setSuccess​(boolean success)`
`void` `setSuccessIsSet​(boolean value)`
`TQueryResult` `setTotal_time_ms​(long total_time_ms)`
`void` `setTotal_time_msIsSet​(boolean value)`
`String` `toString()`
`void` `unsetDebug()`
`void` `unsetExecution_time_ms()`
`void` `unsetNonce()`
`void` `unsetQuery_type()`
`void` `unsetRow_set()`
`void` `unsetSuccess()`
`void` `unsetTotal_time_ms()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### row_set

    public TRowSet row_set

#### execution_time_ms

    public long execution_time_ms

#### total_time_ms

    public long total_time_ms

#### nonce

    public String nonce

#### debug

    public String debug

#### success

    public boolean success

#### query_type

    public TQueryType query_type

See Also:
  `TQueryType`

#### metaDataMap

    public static final Map<TQueryResult._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TQueryResult

    public TQueryResult()

#### TQueryResult

    public TQueryResult​(TRowSet row_set,
                        long execution_time_ms,
                        long total_time_ms,
                        String nonce,
                        String debug,
                        boolean success,
                        TQueryType query_type)

#### TQueryResult

    public TQueryResult​(TQueryResult other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TQueryResult deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TQueryResult,​TQueryResult._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TQueryResult,​TQueryResult._Fields>`

#### getRow_set

    public TRowSet getRow_set()

#### setRow_set

    public TQueryResult setRow_set​(TRowSet row_set)

#### unsetRow_set

    public void unsetRow_set()

#### isSetRow_set

    public boolean isSetRow_set()

Returns true if field row_set is set (has been assigned a value) and false otherwise

#### setRow_setIsSet

    public void setRow_setIsSet​(boolean value)

#### getExecution_time_ms

    public long getExecution_time_ms()

#### setExecution_time_ms

    public TQueryResult setExecution_time_ms​(long execution_time_ms)

#### unsetExecution_time_ms

    public void unsetExecution_time_ms()

#### isSetExecution_time_ms

    public boolean isSetExecution_time_ms()

Returns true if field execution_time_ms is set (has been assigned a value) and false otherwise

#### setExecution_time_msIsSet

    public void setExecution_time_msIsSet​(boolean value)

#### getTotal_time_ms

    public long getTotal_time_ms()

#### setTotal_time_ms

    public TQueryResult setTotal_time_ms​(long total_time_ms)

#### unsetTotal_time_ms

    public void unsetTotal_time_ms()

#### isSetTotal_time_ms

    public boolean isSetTotal_time_ms()

Returns true if field total_time_ms is set (has been assigned a value) and false otherwise

#### setTotal_time_msIsSet

    public void setTotal_time_msIsSet​(boolean value)

#### getNonce

    public String getNonce()

#### setNonce

    public TQueryResult setNonce​(String nonce)

#### unsetNonce

    public void unsetNonce()

#### isSetNonce

    public boolean isSetNonce()

Returns true if field nonce is set (has been assigned a value) and false otherwise

#### setNonceIsSet

    public void setNonceIsSet​(boolean value)

#### getDebug

    public String getDebug()

#### setDebug

    public TQueryResult setDebug​(String debug)

#### unsetDebug

    public void unsetDebug()

#### isSetDebug

    public boolean isSetDebug()

Returns true if field debug is set (has been assigned a value) and false otherwise

#### setDebugIsSet

    public void setDebugIsSet​(boolean value)

#### isSuccess

    public boolean isSuccess()

#### setSuccess

    public TQueryResult setSuccess​(boolean success)

#### unsetSuccess

    public void unsetSuccess()

#### isSetSuccess

    public boolean isSetSuccess()

Returns true if field success is set (has been assigned a value) and false otherwise

#### setSuccessIsSet

    public void setSuccessIsSet​(boolean value)

#### getQuery_type

    public TQueryType getQuery_type()

See Also:
  `TQueryType`

#### setQuery_type

    public TQueryResult setQuery_type​(TQueryType query_type)

See Also:
  `TQueryType`

#### unsetQuery_type

    public void unsetQuery_type()

#### isSetQuery_type

    public boolean isSetQuery_type()

Returns true if field query_type is set (has been assigned a value) and false otherwise

#### setQuery_typeIsSet

    public void setQuery_typeIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TQueryResult._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TQueryResult,​TQueryResult._Fields>`

#### getFieldValue

    public Object getFieldValue​(TQueryResult._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TQueryResult,​TQueryResult._Fields>`

#### isSet

    public boolean isSet​(TQueryResult._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TQueryResult,​TQueryResult._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TQueryResult that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TQueryResult other)

Specified by:
  `compareTo` in interface `Comparable<TQueryResult>`

#### fieldForId

    public TQueryResult._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TQueryResult,​TQueryResult._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`